[cpp-sp] 01/01: Avoid failure to install shibboleth-sp2-utils without apache2

Scott Cantor cantor.2 at osu.edu
Thu Dec 20 19:47:13 EST 2018


This is an automated email from the git hooks/post-receive script.

scantor pushed a commit to annotated tag debian/2.5.3+dfsg-1_bpo70+2
in repository cpp-sp.

View the commit online:
http://git.shibboleth.net/view/?p=cpp-sp.git;a=commit;h=ffbd6f9457eb185174f2f1c440aab43fe7d88a11

commit ffbd6f9457eb185174f2f1c440aab43fe7d88a11
Author: Luca Bruno <lucab at debian.org>
AuthorDate: Thu Nov 27 18:17:27 2014 -0800

    Avoid failure to install shibboleth-sp2-utils without apache2
    
    Installing shibboleth-sp2-utils without apache2 fails because the
    postinst script assumes that a2enmod exists.
---
 debian/changelog                     | 7 +++++++
 debian/shibboleth-sp2-utils.postinst | 7 +++++--
 2 files changed, 12 insertions(+), 2 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 20be3aa..14e618a 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+shibboleth-sp2 (2.5.3+dfsg-1~bpo70+2) wheezy-backports; urgency=medium
+
+  * shibboleth-sp2-utils: check before enabling Apache module
+    (Closes: #758600)
+
+ -- Luca Bruno <lucab at debian.org>  Fri, 14 Nov 2014 12:42:46 +0100
+
 shibboleth-sp2 (2.5.3+dfsg-1~bpo70+1) wheezy-backports; urgency=medium
 
   * Backport to wheezy.
diff --git a/debian/shibboleth-sp2-utils.postinst b/debian/shibboleth-sp2-utils.postinst
index 637f158..e4eeaa4 100755
--- a/debian/shibboleth-sp2-utils.postinst
+++ b/debian/shibboleth-sp2-utils.postinst
@@ -20,8 +20,11 @@ if [ "$1" = "configure" ] ; then
     fi
 
     # Enable the module by default on new installs.
-    if [ -z "$2" ] && [ ! -e /etc/apache2/mods-enabled/shib2.load ] ; then
-        a2enmod shib2
+    A2ENMOD="`which a2enmod || echo ''`"
+    if [ -z "$2" ] && [ -n "$A2ENMOD" ] && [ -x "$A2ENMOD" ] \
+        && [ -e /etc/apache2/mods-available/shib2.load ] \
+        && [ ! -e /etc/apache2/mods-enabled/shib2.load ] ; then
+        $A2ENMOD shib2
     fi
 fi
 

-- 
To stop receiving notification emails like this one, please contact
the administrator of this repository.


More information about the commits mailing list